Storage Assets - List By Storage Container
按 StorageContainer 列表 StorageAsset 资源
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Discovery/storageContainers/{storageContainerName}/storageAssets?api-version=2026-02-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
storage
|
path | True |
string pattern: ^[a-zA-Z0-9-]{3,24}$ |
存储容器的名称 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
StorageAssets_ListByStorageContainer_MaximumSet
示例请求
GET https://management.azure.com/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/storageContainers/6b4fbcbb65873f18bf/storageAssets?api-version=2026-02-01-preview
示例响应
{
"value": [
{
"id": "/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/storagecontainers/6b4fbcbb65873f18bf/storageAssets/hh",
"name": "hh",
"tags": {
"key5443": "dneh"
},
"location": "uksouth",
"type": "Microsoft.Discovery/storagecontainers/storageAssets",
"systemData": {
"createdBy": "ly",
"createdByType": "User",
"createdAt": "2026-02-10T17:26:12.585Z",
"lastModifiedBy": "xxc",
"lastModifiedByType": "User",
"lastModifiedAt": "2026-02-10T17:26:12.586Z"
},
"properties": {
"description": "gwlk",
"provisioningState": "Succeeded",
"path": "qmvrklgqdif"
}
}
],
"nextLink": "https://microsoft.com/a"
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Provisioning |
资源预配状态。 |
|
Storage |
存储资产追踪资源 |
|
Storage |
StorageAsset 列表操作的响应。 |
|
Storage |
存储资产属性 |
|
system |
与创建和上次修改资源相关的元数据。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ProvisioningState
资源预配状态。
| 值 | 说明 |
|---|---|
| Succeeded |
已创建资源。 |
| Failed |
资源创建失败。 |
| Canceled |
资源创建已取消。 |
| Accepted |
已接受资源创建请求 |
| Provisioning |
正在预配资源 |
| Updating |
资源正在更新 |
| Deleting |
正在删除资源 |
StorageAsset
存储资产追踪资源
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| location |
string |
资源所在的地理位置 |
| name |
string |
资源的名称 |
| properties |
此资源的资源特定属性。 |
|
| systemData |
Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| tags |
object |
资源标记。 |
| type |
string |
资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户” |
StorageAssetListResult
StorageAsset 列表操作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
本页的StorageAsset项目 |
StorageAssetProperties
存储资产属性
| 名称 | 类型 | 说明 |
|---|---|---|
| description |
string |
说明 |
| path |
string |
访问其父容器内数据的路径。 这应该相对于父容器的根节点。 |
| provisioningState |
上次操作的状态。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |